# -*- rpm-spec -*-
# $Id: goblin,v 1.9 2003/11/24 14:40:20 lioka Exp $

# feel free to make it better
%set_verify_elf_method textrel=relaxed

%define major 2.6
%define solvers colour connect gsearch mintree optbflow optflow optmatch opttour postman

Name: goblin
Version: %major
Release: alt1

Summary: A graph optimization tool
License: LGPL
Group: Development/C++
Url: http://www.math.uni-augsburg.de/opt/goblin.html

Source0: http://www.math.uni-augsburg.de/opt/goblin.docs/%name.%{version}Stable.tar.bz2
Patch0: %name-2.6-make-shared.patch

BuildRequires: gcc-c++ tcl-devel >= 8.4.0-alt1 tk-devel >= 8.4.0-alt1 tetex-latex tetex-dvips

%package -n lib%name
Summary: A graph optimization tool - shared library
Group: System/Libraries

%package -n lib%name-devel
Summary: A graph optimization tool - things needed for development
Group: Development/C++
Requires: lib%name = %version-%release

%package tcl
Summary: Tcl bindings for %name library
Group: Development/Tcl
Requires: lib%name = %version-%release tcl >= 8.4.0-alt1 tk >= 8.4.0-alt1

%description
GOBLIN is a C++ class library focussed on graph optimization and
network programming problems. It deals with all of the standard
graph optimization problems discussed by textbooks and in courses
on combinatorial optimization.

This package contains set of %name porblem solvers

%description -n lib%name
GOBLIN is a C++ class library focussed on graph optimization and
network programming problems. It deals with all of the standard
graph optimization problems discussed by textbooks and in courses
on combinatorial optimization.

This package contains %name shared library

%description -n lib%name-devel
GOBLIN is a C++ class library focussed on graph optimization and
network programming problems. It deals with all of the standard
graph optimization problems discussed by textbooks and in courses
on combinatorial optimization.

This package contains things needed for development with %name

%description tcl
GOBLIN is a C++ class library focussed on graph optimization and
network programming problems. It deals with all of the standard
graph optimization problems discussed by textbooks and in courses
on combinatorial optimization.

This package contains Tcl bindings for %name library and
a graph browser and editor tool.

%prep
%setup -q -n %name.%{version}Stable
%patch -p1
%__chmod 0644 *.cpp

%build
%add_optflags %optflags_shared -DUSE_NON_CONST
%__make shared gotcl manual
for s in %solvers; do %__make exe pr=$s; done

%install
%__subst 's|local/bin|bin|' display

%__cat <<E_O_F > goblet.bin
#!/usr/bin/wish
package require goblin

set GoblinVersion %version
set GoblinTclPath %_datadir/%name-%version

E_O_F

%__cat goblet >> goblet.bin

%__install -p -m0755 -D goblet.bin %buildroot%_bindir/goblet
for s in display %solvers; do
%__install -p -m0755 $s %buildroot%_bindir/goblin-$s
done

%__install -p -m0755 -D lib%name%major.so %buildroot%_libdir/lib%name%major.so
%__ln_s lib%name%major.so %buildroot%_libdir/lib%name.so

%__cat <<E_O_F > pkgIndex.tcl
package ifneeded goblin %major [list load [file join \$dir .. .. .. lib tcl libgotcl.so] goblin]
E_O_F
%__install -m0644 -D pkgIndex.tcl %buildroot%_tcldatadir/%name%version/pkgIndex.tcl
%__install -p -m0755 -D libgotcl.so %buildroot%_tcllibdir/libgotcl.so

%__install -d -m0755 %buildroot%_datadir/%name-%version
%__install -p -m0644 tcl/*.{tk,gif} %buildroot%_datadir/%name-%version

%__install -d -m0755 %buildroot%_includedir/%name-%version
%__install -p -m0644 include/*.h %buildroot%_includedir/%name-%version

%__gzip -9 *.ps

%files
%doc *.ps.gz samples
%_bindir/*
%exclude %_bindir/goblet
%exclude %_bindir/goblin-display

%files -n lib%name
%_libdir/lib%name%major.so

%files -n lib%name-devel
%_libdir/lib%name.so
%_includedir/%name-%version

%files tcl
%_bindir/goblet
%_bindir/goblin-display
%_datadir/%name-%version
%_tcllibdir/*
%_tcldatadir/*

%changelog
* Sat Nov 22 2003 Sergey Bolshakov <sbolshakov@altlinux.ru> 2.6-alt1
- 2.6

* Thu Sep 26 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 2.5-alt1
- 2.5
- built with 8.4

* Tue Aug  6 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 2.4.5-alt1
- first build for %distribution

